Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.ebusiness
Class DateRecurrence.DateRangeIterator

    java.lang.Object
      |
      +--com.compoze.ebusiness.DateRecurrence.DateRangeIterator

All Implemented Interfaces:
  java.util.Iterator, java.io.Serializable

Enclosing class:
  DateRecurrence

public class DateRecurrence.DateRangeIterator
extends java.lang.Object
implements java.util.Iterator, java.io.Serializable

This class is an iterator that returns the dates in a `DateRecurrence` as a date range (each date plus a duration). WARNING: The bySetPos rule is not applied for this iterator.

See Also:
  Serialized Form

Constructor Summary
`DateRecurrence.DateRangeIterator(DateRecurrence.DateIterator it, long lDuration)` Constructor.

Method Summary
`boolean` | `hasNext()` Returns true if the iteration has more elements.
`java.lang.Object` | `next()` Returns the next element in the iteration.
`void` | `remove()` Removes the last element returned by the iterator (not implemented).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateRecurrence.DateRangeIterator

    public DateRecurrence.DateRangeIterator(DateRecurrence.DateIterator it,
                                            long lDuration)

  Constructor. An iterator that returns all of the dates is created.
  Parameters:
    `it` - the date iterator
    `lDuration` - the duration of each date range

Method Detail

### hasNext

    public boolean hasNext()

  Returns true if the iteration has more elements.
  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true if the iteration has more elements

### next

    public java.lang.Object next()

  Returns the next element in the iteration.
  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next element in the iteration

### remove

    public void remove()

  Removes the last element returned by the iterator (not implemented).
  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException` - because the method is not implemented

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.